Package org.xnio.channels

# Class UnsupportedOptionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.xnio.channels.UnsupportedOptionException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedOptionException extends IllegalArgumentException
An exception that is thrown when an invalid option is specified for a `Configurable`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedOptionException()`
Construct a `UnsupportedOptionException` instance.
`UnsupportedOptionException(String message)`
Construct a `UnsupportedOptionException` instance with the given message.
`UnsupportedOptionException(String message, Throwable cause)`
Construct a `UnsupportedOptionException` instance with the given message and cause.
`UnsupportedOptionException(Throwable cause)`
Construct a `UnsupportedOptionException` instance with the given cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedOptionException

public UnsupportedOptionException()
Construct a `UnsupportedOptionException` instance.

### UnsupportedOptionException

public UnsupportedOptionException(String message)
Construct a `UnsupportedOptionException` instance with the given message.

Parameters:
  `message` - the message

### UnsupportedOptionException

public UnsupportedOptionException(String message, Throwable cause)
Construct a `UnsupportedOptionException` instance with the given message and cause.

Parameters:
  `message` - the message
  `cause` - the cause

### UnsupportedOptionException

public UnsupportedOptionException(Throwable cause)
Construct a `UnsupportedOptionException` instance with the given cause.

Parameters:
  `cause` - the cause